19.0-Matrix Discussion

X96 is not officially supported. Use uSD and not ceemmc!

what? how can I resettle it then?

i tried pendrive and sd onto a card to announce.
All the two times come on that mistake.

Anybody please?

You installed Ugoos firmware on Minix U22?
First: reflash Minix with a Minix firmware!
Second: run CE

Ugoos firmware is encrypted and do not boot CE anymore.

Dear CoreELEC team! First of all, thank you for your great work!
Regarding “CoreELEC decided to remove support of these SoC family because they aren’t supported anymore by Amlogic in newer kernel than 3.14.”
Did you see https://docs.khadas.com/firmware/Vim2Firmware.html especially Ubuntu releases with Linux Kernel 4.9 as well as Android Pie with Kernel 4.9.

No opengles hw acceleration for s912 + 4.9.

1 Like

There is a section of this thread explaining the situation with the S912 devices such as the Vim2 and the 4.9 kernel.

1 Like

Thank you for this, that is all I needed to know.
I will stick with Ugoos firmware until Corelec supports Dolby Vision.
Thank you.

If I restart Kodi when I use the skin Arctic Horizon, there will be a CoreELEC Configuration error, and I also won’t be able to run other addons. Then if I try to restart the system by using the power menu, the screen freezes. If I switch to the skin Estuary and restart Kodi, there will be no problem.

I found a solution to a similar problem from the forum,it is to delete “/storage/.kodi/userdata/Database/Addons27.db”. But I don’t have this file.

your addon is not Python 3 compatible:

UnicodeEncodeError: 'ascii' codec can't encode character '\u5fd9' in position 34: ordinal not in range(128)
File "/storage/.kodi/addons/screensaver.evolve.apple/resources/lib/vars.py", line 189, in info self.LOGGER.info(msg)

Also there is a error in CE settings with your chines language:

ERROR <general>: ## CoreELEC Addon ## updates::check_updates_v2 ## ERROR: (TypeError('the JSON object must be str, bytes or bytearray, not NoneType'))

After I unistall screensaver.evolve.apple and change language to English, the problem still occurs.

The CE settings “issue” is not solved yet. I see you can connect to our server but it looks like your internet provider does block the answer: URLError(ConnectionRefusedError(111, 'Connection refused'))

Try this on a web browser if you get a response:
update test

And this should print also a response in your browser:
release test

There is no “URLError” now,but my problem still happens. I accidentally disabled the addon Multi Weather as if my problem were not happening again.
I’m not sure if Multi Weather causes problem. Anyway, there seem to be no problem anymore. Thanks for your help.

Log: http://ix.io/2TPM
Crash log: http://ix.io/2TPN

Hi, please publish gxl_p212_1g_nand? I use them for Mecool HM8 and there is no replacement in the new NG version

I now realize that I uploaded the log after restarting Kodi (I did this because the problem prevented me from opening CoreELEC Configuration), so the log did not include kodi.old.log. I checked the log using SSH connection today and found the following error, which may be related to the problem.

2021-03-24 09:40:58.850 T:19679 ERROR : EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<–
- NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
Error Type: <class ‘locale.Error’>
Error Contents: unsupported locale setting
Traceback (most recent call last):
File “/usr/share/kodi/addons/service.coreelec.settings/service.py”, line 7, in
import oe
File “/var/corebuild/CoreELEC-19/build.CoreELEC-Amlogic-ng.arm-19/install_pkg/CoreELEC-settings-c5db604d4fca86ea93a428a679f9c9f3c63fbca4/usr/share/kodi/addons/service.coreelec.settings/oe.py”, line 86, in
File “/usr/lib/python3.8/locale.py”, line 660, in getpreferredencoding
File “/usr/lib/python3.8/locale.py”, line 608, in setlocale
locale.Error: unsupported locale setting
–>End of Python script error report<–

Full log:

I tested several different situations and the results are as follows:

|--------Skin--------|–Addon: Multi Weather–|—Kodi Language—|–Error–|
|-Arctic Horizon–|-----------Enabled-----------|–Chinese/English–|—Yes—|
|-Arctic Horizon–|-----------Disabled----------|–Chinese/English–|—No—|
|------Estuary------|----Enabled/Disabled----|–Chinese/English–|—No—|

Hi,
I have a question for dev. Why is the code base of Amlogic-ng moved from project level to device level? It used to be at project level in 9.2 branch so that one can make customization for special devices at device level. Now it is difficult for device customization.

Project is now Amlogic-ce and device is Amlogic-ng (yet only).
CE do use a sub-device system so we have not multiple device update tar files.
We have only one tar for all devices.

Also LE do have a project Amlogic already that’s also a reason we separated it as it’s complete different and not compatible with vendor Amlogic base.

Still stuttering with latest nightly. Any idea how to fix it?
On a side note: On 9.2 the nightlies were shown dated on “Updates” and with CE19 there’s only “CE19-Matrix” printed on available updates. Will that install the latest or bring me back to CE19 initial release from March beginning?

But the stuttering video playback is the thing that causes me most headaches. Neither changing resolution or audio settings solves it for me.

EDIT: is it possible to use another videoplayer addon (if it exists)

Do you use subtitles or not when you see a stuttering?
And do you see it on video start or after pause/play?
Could you share also some 30-seconds video sample on that we could try to repeat it?

About | FAQ | Terms of Service | Privacy Policy | Legal Notice